Bug 150987 - No connection strength showen
No connection strength showen
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 10:54 EST by jim
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 15:58:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NM running (39.89 KB, image/png)
2005-03-13 10:54 EST, jim
no flags Details
connection rate from mouse hover (31.97 KB, image/png)
2005-03-13 10:55 EST, jim
no flags Details

  None (edit)
Description jim 2005-03-13 10:54:44 EST
Description of problem:
NM does't show connection strength

Version-Release number of selected component (if applicable):
NetworkManager-0.3.4-1.1.0.fc3
NetworkManager-gnome-0.3.4-1.1.0.fc3

How reproducible:
Always

Steps to Reproduce:
1.run NetworkManagerInfo
2.
3.
  
Actual results:


Expected results:
show signal strength

Additional info: When mouse hovers NM  shows % connection  if you click NM to
show the list of networks when first connecting or after a connection has been
made, doesn't show the connection strength in the bar. See image below
Comment 1 jim 2005-03-13 10:54:44 EST
Created attachment 111944 [details]
NM running
Comment 2 jim 2005-03-13 10:55:35 EST
Created attachment 111945 [details]
connection rate from mouse hover
Comment 3 Rene Rask 2005-03-25 04:50:52 EST
Confirming this bug.
Hardware: IBM X40, ipw2200 wireless.

The problem occurred after updating from release 0.3.3-1.cvs20050119 to
0.3.4-1.1.0 in fedora core 3.

I think this was working on an atheros based wireless card I was trying to get
working the other day. I do remember thinking "hey, it shows signal strengt with
this card", and I think it was before I tried downgrading NM to get around the
"F... you. your dhcp server is sending on a wrong udp port" message.
Comment 4 Dan Williams 2005-05-05 15:36:23 EDT
only the latest ipw2200 & ipw2100 drivers actually provide usable strength... 
Can you try with one of those and see how it works?
Comment 5 jim 2005-05-05 17:38:14 EDT
drivers I am using
ipw2200-firmware-2.2-5.at
ipw2200-kmdl-2.6.11-1.14_FC3-1.0.0-23.rhfc3.at
ipw2200-1.0.0-23.rhfc3.at

meter in sustem tray shows strength 
but actual wireless network show none 
Comment 6 Dan Williams 2005-05-16 15:58:37 EDT
Yeah, the scanning code that does strength is different than the code that gets
the _current_ connection strength.  This is a driver issue in ipw2200, and may
already be fixed with later versions of the driver...

I'm fairly sure ipw2200-1.0.3 will work.

Note You need to log in before you can comment on or make changes to this bug.